Bug 1414371 - [RHEL 5 migration] list of removed packages includes things that have replacement
Summary: [RHEL 5 migration] list of removed packages includes things that have replace...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: preupgrade-assistant-el5toel7-data
Version: 5.11
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Petr Stodulka
QA Contact: Tereza Cerna
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 11:04 UTC by Karel Volný
Modified: 2017-04-26 14:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-26 13:58:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Karel Volný 2017-01-18 11:04:43 UTC
Description of problem:
SSIA, the "Remediation instructions" say "We are not aware of any compatible replacement for these packages." but many of them do have replacements:

MAKEDEV
=> systemd (not a direct replacement, but udev effectively replaces MAKEDEV)

SysVinit
=> systemd (can read also initscripts)

aspell-en
=> hunspell-en

bitstream-vera-fonts
=> dejavu-*-fonts (https://en.wikipedia.org/wiki/DejaVu_fonts - "The DejaVu fonts are modifications of the Bitstream Vera fonts designed for greater coverage of Unicode ...")

bluez-utils
=> bluez

redhat-release
=> redhat-release-*

vixie-cron
=> cronie


... and many others

Comment 1 Petr Stodulka 2017-02-08 19:08:19 UTC
Thanks Karel for this info. Do you found them more packages like that? I will mark them as obsoleted. If you have some time, I will visit you with my list of removed (unfiled) components, if you find there some another.

Comment 3 Karel Volný 2017-02-09 11:07:05 UTC
ok, so we've discussed the concepts but I'm still looking forward for your visit with the list ... bring lots of snacks, drinks and your sleeping bag if I heard correctly that there is about 1800 pkgs on that list :-)

Comment 4 Petr Stodulka 2017-02-09 16:49:58 UTC
We reduced it significantly :-) Now just  ~360 from ~1930.


Note You need to log in before you can comment on or make changes to this bug.